# HG changeset patch
# User Jim Unroe <rock.unroe@gmail.com>
# Date 1357049912 18000
# Node ID 5fe99bdf5f0264aece8613882064e54c0890e927
# Parent  7830de9abafdd1b83b04fb107782c94854d7b4de
[uv5r] Add 'Dual Watch Priority' Setting
Implement a Dual Watch Priority (TDR-AB) setting to compliment the existing Dual Watch (TDR) setting on the Advanced Settings Tab
#387

diff -r 7830de9abafd -r 5fe99bdf5f02 chirp/uv5r.py
--- a/chirp/uv5r.py	Mon Dec 31 13:27:36 2012 -0800
+++ b/chirp/uv5r.py	Tue Jan 01 09:18:32 2013 -0500
@@ -136,6 +136,7 @@
 RESUME_LIST = ["TO", "CO", "SE"]
 MODE_LIST = ["Channel", "Name", "Frequency"]
 COLOR_LIST = ["Off", "Blue", "Orange", "Purple"]
+TDRAB_LIST = ["Off", "A", "B"]
 PONMSG_LIST = ["Full", "Message"]
 
 SETTING_LISTS = {
@@ -148,6 +149,7 @@
     "wtled" : COLOR_LIST,
     "rxled" : COLOR_LIST,
     "txled" : COLOR_LIST,
+    "tdrab" : TDRAB_LIST,
     "ponmsg" : PONMSG_LIST,
 }
 
@@ -604,6 +606,11 @@
                           RadioSettingValueBoolean(_settings.tdr))
         advanced.append(rs)
 
+        rs = RadioSetting("tdrab", "Dual Watch Priority",
+                          RadioSettingValueList(TDRAB_LIST,
+                                                TDRAB_LIST[_settings.tdrab]))
+        advanced.append(rs)
+
         rs = RadioSetting("beep", "Beep",
                           RadioSettingValueBoolean(_settings.beep))
         basic.append(rs)
